<?php

namespace FiloBlu\Flow\Block\Adminhtml\Check;

use Magento\Backend\Block\Widget\Form\Container;
use \Magento\Framework\Registry;
use \Magento\Backend\Block\Widget\Context;

/**
 * CMS block edit form container
 */
class Checkcsv extends Container
{

    protected $_registry;

    public function __construct(Context $context, Registry $registry)
    {
        parent::__construct($context);
        $this->_registry = $registry;
    }

    protected function _construct()
    {
        $this->_objectId = 'id';
        $this->_blockGroup = 'FiloBlu_Flow';
        $this->_controller = 'adminhtml_check';

        parent::_construct();

        $this->buttonList->remove('save');
        $this->buttonList->remove('reset');
        $this->buttonList->remove('back');

    }

    public function getOutputMessage(){
        return $this->_registry->registry('check_output_message');
    }

}
